local stand = Stand.new();

local f_ref = 100e+6;
local f_pfd = 100e+3;
local cint = 38000;
local frac = 1;
local cmod = 65000;
local sawstep = 4000;
local f_span = 200e+6; -- the span of the lfm

local r = f_ref / f_pfd;
local total_lfm_time = 10; -- The period of lfm
local fracinc = total_lfm_time * f_pfd / sawstep;
local dfrac = f_span * cmod / (sawstep * f_pfd) * 16;

stand:write_ref(math.floor(r));
stand:write_cint(cint);
stand:write_frac(frac);
stand:write_cmod(cmod);
stand:write_ctr1(0x40610);
stand:write_ctr2(0x7);

stand:write_lfm1(math.floor(dfrac));
stand:write_lfm3(0x4);
stand:write_lfm2((sawstep <<  8) | (math.floor(fracinc)));


